<div class="row">
    <div class="col-xs-12">
        <img [src]="recipe.imagePath" alt="{{recipe.name}}" class="img-responsive" style="max-height:300px;">
    </div>
</div>
<div class="row">
    <div class="col-xs-12">
        <h1>Recipe Name: {{recipe.name}}</h1>
    </div>
</div>
<div class="row">
    <div class="col-xs-12">
        <div class="btn-group">
            <button type="button" class="btn btn-primary dropdown-toggle show" data-bs-toggle="dropdown"
                appDropdown>Manage Recipe
                <span class="caret"></span>
            </button>
            <ul class="dropdown-menu ">
                <li><a class="dropdown-item" style="cursor: pointer;">To
                        Shopping List</a></li>
                <li><a class="dropdown-item" style="cursor: pointer;" (click)="onEditRecipeSelection()">Edit Recipe</a></li>
                <li><a class="dropdown-item" style="cursor: pointer;">Delete Recipe</a></li>
            </ul>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-xs-12">
        Description:
        {{recipe.description}}
    </div>
</div>
<div class="row">
    <div class="col-xs-12">
        Ingredients:
        <ul class="list-group">
            <li class="list-group-item" *ngFor="let ingredient of recipe.ingredients">
                {{ingredient.name}}-({{ingredient.amount}})
            </li>
        </ul>
    </div>
</div>